# MSPM0 Smart Analog Sensor Interface (SASI) Smoke Detection Python GUI

The reference design [TIDA-010941](https://www.ti.com/tool/TIDA-010941)
includes the source code for an optional Python GUI. The GUI shows a visual
representation of the measurements where developers can log the data, view
particle information, and see whether smoke was detected. These measurements
are also streamed to the terminal. See the reference design guide for more
details on using the GUI.

This document describes how to build the Python GUI from source.

## Important Notes

* The GUI should be built and run on Windows.

* Before proceding with building the GUI, make sure that Python 3.8 is
installed and on the system PATH. See the [Python homepage](https://www.python.org/)
for more details on downloading and installing Python on Windows.

* Make sure that pip is installed. Pip should automatically be installed if
using Python from python.org or if working in a virtual environment. If the
Python environment does not have pip installed, follow the installation
instructions on the [pip documentation](https://pip.pypa.io/en/stable/installation/).

## Building the GUI

1. After unzipping the file containing the Python GUI source code, the
directory should contain the GUI soure code file `sasi_smoke_detector_m0l1306.py`
and a Windows batch file `smoke_detector_gui_build.bat`.

2. Execute the batch file by double-clicking it. The batch file creates a
Python virtual environment and installs the required Python dependencies.

3. When the script is done, the prompt "Press any key to continue" should
appear. Press any key and exit the command prompt.

4. A new directory `dist` will be created, and the built GUI will be placed
there. Open the GUI by clicking `sasi_smoke_detector_m0l1306.exe`.

5. A black terminal will open. Wait several seconds for the white screen of the
GUI to appear.
