:: Code is based off of this post:
:: https://stackoverflow.com/questions/73541171/activating-python-virtual-env-in-batch-file

@echo off

echo This script assumes that Python 3 is already installed and on the system PATH

set "VIRTUAL_ENV=smoke_detector_gui_env"

:: Create virtual env in current directory if not available
If Not Exist "%VIRTUAL_ENV%\Scripts\activate.bat" (
    python -m venv %VIRTUAL_ENV%
)

If Not Exist "%VIRTUAL_ENV%\Scripts\activate.bat" Exit /B 1

:: If system is behind a proxy, uncomment the following lines and change the
:: values for server and port
:: set http_proxy=<server>:<port>
:: set https_proxy=<server>:<port>

:: Activate virtual environment
Call "%VIRTUAL_ENV%\Scripts\activate.bat"
:: Specify to build Pillow from binaries.
:: See https://stackoverflow.com/questions/73413311/pip-install-pillow-doesnt-work-on-windows-11
python -m pip install --prefer-binary Pillow
pip install -r requirements_evn.txt

:: Generated .exe will be placed in current dir/dist
pyinstaller --onefile --icon=TI_logo.ico sasi_smoke_detector_m0l1306.py

:: Executable won't open unless .png is in same directory
Copy "TI_logo.png" "dist"

Pause

Exit /B 0
